Package net.sf.saxon.expr

## Enum GeneralComparison.ComparisonCardinality

- java.lang.Object
- - java.lang.Enum<GeneralComparison.ComparisonCardinality>
  - - net.sf.saxon.expr.GeneralComparison.ComparisonCardinality

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<GeneralComparison.ComparisonCardinality>`
  Enclosing class:
    GeneralComparison

      public static enum GeneralComparison.ComparisonCardinality
      extends java.lang.Enum<GeneralComparison.ComparisonCardinality>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `MANY_TO_MANY` |
    `MANY_TO_ONE` |
    `ONE_TO_ONE` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static GeneralComparison.ComparisonCardinality` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static GeneralComparison.ComparisonCardinality[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ONE_TO_ONE

          public static final GeneralComparison.ComparisonCardinality ONE_TO_ONE

    - #### MANY_TO_ONE

          public static final GeneralComparison.ComparisonCardinality MANY_TO_ONE

    - #### MANY_TO_MANY

          public static final GeneralComparison.ComparisonCardinality MANY_TO_MANY

  - ### Method Detail

    - #### values

          public static GeneralComparison.ComparisonCardinality[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GeneralComparison.ComparisonCardinality c : GeneralComparison.ComparisonCardinality.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GeneralComparison.ComparisonCardinality valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null